Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd.jms
Class CometdConsumer

    java.lang.Object
      org.mortbay.cometd.jms.CometdConsumer

    public class CometdConsumer

extends Object

Constructor Summary
`CometdConsumer()`

Method Summary
`void` | `close()`
`MessageListener` | `getMessageListener()`
`String` | `getMessageSelector()`
`boolean` | `getNoLocal()`
`Topic` | `getTopic()`
`Message` | `receive()`
`Message` | `receive(long arg0)`
`Message` | `receiveNoWait()`
`void` | `setMessageListener(MessageListener arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CometdConsumer

    public CometdConsumer()

Method Detail

### getNoLocal

    public boolean getNoLocal()
                       throws JMSException

  Throws:
    `JMSException`

### getTopic

    public Topic getTopic()
                   throws JMSException

  Throws:
    `JMSException`

### close

    public void close()
               throws JMSException

  Throws:
    `JMSException`

### getMessageListener

    public MessageListener getMessageListener()
                                       throws JMSException

  Throws:
    `JMSException`

### getMessageSelector

    public String getMessageSelector()
                              throws JMSException

  Throws:
    `JMSException`

### receive

    public Message receive()
                    throws JMSException

  Throws:
    `JMSException`

### receive

    public Message receive(long arg0)
                    throws JMSException

  Throws:
    `JMSException`

### receiveNoWait

    public Message receiveNoWait()
                          throws JMSException

  Throws:
    `JMSException`

### setMessageListener

    public void setMessageListener(MessageListener arg0)
                            throws JMSException

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.